%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
# debuginfo would be empty
%global debug_package %{nil}
%global module PyMTP

Name:           python-pymtp
Version:        0.0.6
Release:        13%{?dist}
Summary:        A Pythonic wrapper around libmtp

Group:          Development/Libraries
License:        GPLv3+
URL:            https://pypi.python.org/pypi/%{module}
Source0:        https://pypi.python.org/packages/source/P/PyMTP/PyMTP-%{version}.tar.gz

# Depend on the libmtp soname provides of the correct arch
%global libmtp libmtp.so.9
%if 0%{?__isa_bits} == 64
%global mark64 ()(64bit)
%endif

BuildRequires:  python2-devel

%global _description\
A Pythonic wrapper around libmtp, allowing python applications to communicate\
with MTP devices.

%description %_description

%package -n python2-pymtp
Summary: %summary
Requires:       %{libmtp}%{?mark64}
%{?python_provide:%python_provide python2-pymtp}

%description -n python2-pymtp %_description

%prep
%setup -q -n %{module}-%{version}
# Examples are documentation, remove executable permission
chmod -x examples/*
# Remove the shebang to silence rpmlint
sed -i '1d' pymtp.py

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# Install into python_sitearch for the arch-specific dependency
%{__python} setup.py install -O1 --skip-build --install-purelib $RPM_BUILD_ROOT%{python_sitearch}



%files -n python2-pymtp
%defattr(-,root,root,-)
%doc README COPYING examples
%{python_sitearch}/pymtp.*
%{python_sitearch}/*.egg-info

%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.0.6-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.6-11
- Python 2 binary package renamed to python2-pymtp
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 15 2015 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 0.0.6-5
- Use __isa_bits macro instead of list of 64-bit architectures

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 17 2013 Abel Luck <abel@outcomedubious.im> - 0.0.6-1
- Update to latest version
- Remove uneeded patch

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 13 2011 Linus Walleij <triad@df.lth.se> 0.0.4-3
- Rebuilt for new - run-time compatible - libmtp

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-1
- Bump release for the first Fedora build

* Mon Nov 01 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.3
- Make the package arch-dependent and depend on the libmtp.so.8 soname
- Remove the shebang from pylint.py

* Fri Oct 15 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.2
- Use Debian's patch, which also fixes the examples
- Add Requires: libmtp

* Wed Oct 13 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.1
- Initial Fedora package
